Skip to main content
PUT
/
cloud
/
alerts
/
flag
/
{alert_id}
curl -X PUT 'https://api.cloud.blnkfinance.com/alerts/flag/ano_8a380fd1-0289-46d1-bc76-aa17a510a64e' \
  -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{
    "title": "An identity has been flagged in a sanction list.",
    "description": "this is a test from an update",
    "status": "PENDING_REVIEW"
  }'
{
  "anomaly_id": "ano_8a380fd1-0289-46d1-bc76-aa17a510a64e",
  "title": "An identity has been flagged in a sanction list.",
  "description": "this is a test from an update",
  "type": "Balance",
  "assigned_to": "jerrys enebeli",
  "escalated_to": [
    "user_01K4EX0BRXHNNGCRVT2TPNK07W"
  ],
  "status": "FLAGGED",
  "created_at": "2026-01-15T09:22:37.55763+01:00",
  "updated_at": "2026-01-15T09:26:03.094425+01:00",
  "affected_balances": [
    "bln_20f02af6-3728-4d37-9b5a-c7ed080f09df"
  ],
  "affected_identities": [],
  "affected_transactions": []
}

Documentation Index

Fetch the complete documentation index at: https://docs.blnkfinance.com/llms.txt

Use this file to discover all available pages before exploring further.

Update an existing alert to modify its details, add context, or reflect workflow progression.

Request structure

curl -X PUT 'https://api.cloud.blnkfinance.com/alerts/flag/ano_8a380fd1-0289-46d1-bc76-aa17a510a64e' \
  -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{
    "title": "An identity has been flagged in a sanction list.",
    "description": "this is a test from an update",
    "status": "PENDING_REVIEW"
  }'
alert_id
string
required
Unique identifier of the alert you want to update. Must be a valid alert ID.
title
string
Updated title for the alert.
description
string
Updated description of the alert.
status
string
Updated status of the alert.

Response structure

{
  "anomaly_id": "ano_8a380fd1-0289-46d1-bc76-aa17a510a64e",
  "title": "An identity has been flagged in a sanction list.",
  "description": "this is a test from an update",
  "type": "Balance",
  "assigned_to": "jerrys enebeli",
  "escalated_to": [
    "user_01K4EX0BRXHNNGCRVT2TPNK07W"
  ],
  "status": "FLAGGED",
  "created_at": "2026-01-15T09:22:37.55763+01:00",
  "updated_at": "2026-01-15T09:26:03.094425+01:00",
  "affected_balances": [
    "bln_20f02af6-3728-4d37-9b5a-c7ed080f09df"
  ],
  "affected_identities": [],
  "affected_transactions": []
}
anomaly_id
string
required
Unique identifier for the alert.
title
string
The updated title of the alert, if provided.
description
string
required
The updated description of the alert.
type
string
required
The type or category of the alert (e.g., “Balance”, “Transaction”, “Identity”).
assigned_to
string
The name or identifier of the user assigned to handle the alert.
escalated_to
array
Array of user identifiers to whom the alert has been escalated.
status
string
required
The current status of the alert (e.g., “FLAGGED”).
created_at
timestamp
required
ISO 8601 formatted timestamp of when the alert was created.
updated_at
timestamp
required
ISO 8601 formatted timestamp of when the alert was last updated.
affected_balances
array
required
Array of balance IDs affected by this alert.
affected_identities
array
required
Array of identity IDs affected by this alert.
affected_transactions
array
required
Array of transaction IDs affected by this alert.

Need help?

We are very happy to help you make the most of Blnk, regardless of whether it is your first time or you are switching from another tool. To ask questions or discuss issues, please contact us or join our Discord community.